%define minor 4
%define version 3.00

Name: quota
Summary: System administration tools for monitoring users' disk usage.
Version: %{version}
Release: 1mdk
Source: ftp://atrey.karlin.mff.cuni.cz/pub/local/jack/quota/utils/quota-%{version}-%{minor}.tar.bz2
Copyright: BSD
Group: System/Configuration/Other
Patch0: quota-3.00-redhat.patch.bz2
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: e2fsprogs-devel

%description
The quota package contains system administration tools for
monitoring and limiting users' and or groups' disk usage, per
filesystem.

%prep
%setup -q
%patch -p1

%build
make CFLAGS="%optflags"

%install
rm -fr %{buildroot}

mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/{man1,man2,man3,man8}

install convertquota %{buildroot}/sbin
install quotacheck %{buildroot}/sbin
install quotaon %{buildroot}/sbin
ln -s /sbin/quotaon %{buildroot}/sbin/quotaoff
install quota %{buildroot}%{_bindir}
install edquota %{buildroot}%{_sbindir}
install quotastats %{buildroot}%{_sbindir}
install repquota %{buildroot}%{_sbindir}
install setquota %{buildroot}%{_sbindir}

install *.1 %{buildroot}%{_mandir}/man1
install *.2 %{buildroot}%{_mandir}/man2
rm rquotad.8
install *.8 %{buildroot}%{_mandir}/man8

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,755)
/sbin/*
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man2/*
%{_mandir}/man8/*

%changelog
* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.00-1mdk
- RedHat package merge..
- quota 3.00 is required by recent kernel 2.4 changes.
- no warnquota included this time, not yet ported.
- quite a bit of work on quotacheck to make is backwards compatible (rh)

* Sat Jan 13 2001 Geoff <snailtalk@mandrakesoft.com> 2.00-2mdk
- remove the conflicts with the glibc headers.

* Sat Jan 13 2001 Geoff <snailtalk@mandrakesoft.com> 2.00-1mdk
- new and shiny source.
- port spec file to 2.00 release.
- replace the source url with a correct one.

* Wed Oct 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.70-4mdk
- add quota binary to package (who Sux?)

* Fri Jul 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.70-3mdk
- Remove also rquotad.8 manpages to fix conflicts.


* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.70-2mdk
- BM, macros


* Mon Jun 26 2000 Francis Galiegue <fg@mandrakesoft.com> 1.70-1mdk

- Removed docs.tar.gz, it was just dead weight
- Spec file cleanup
- Patches cleanup

* Sun Jun 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.66-12mdk
- don't install rpc.rquotad - we will use the one from the knfsd package
  instead

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com>
- Some spec file fixes
- Changed group according to 7.1 specs
- Let spec helper do its job

* Tue Jan 11 2000 Pixel <pixel@linux-mandrake.com>
- fix build as non-root

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- rh merge.
- fix man page FUD.(r)
- changes to allow non-root users to build too (Makefile patch, %attr).(r)

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Apr 13 1999 Jeff Johnson <jbj@redhat.com>
- fix for sparc64 quotas (#2147)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Mon Dec 28 1998 Cristian Gafton <gafton@redhat.com>
- don't install rpc.rquotad - we will use the one from the knfsd package
  instead

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- merge ultrapenguin 1.1.9 changes.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- removed patch for mntent

* Fri Mar 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- updated to quota 1.66

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- builds rquotad
- installs rpc.rquotad.8 symlink

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- removed /usr/include/rpcsvc/* from filelist
- uses a buildroot and %attr

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Moved /usr/sbin/quota to /usr/bin/quota
